startmacro l:dec[2] d:freq[0.125] l:gain[0] 

res size 64k
res nfft 4k
res amp 90

info "Creating test input file"
if /sin then
 wave testin shape=sin form=sf amp=amp freq=.025 elem=size
elseif /saw then
 wave testin shape=saw form=sf amp=amp freq=.01255 elem=size
else
 wave testin shape=lrs form=sf amp=amp elem=size
 firwind tmpfir STOPBAND BH92 1k .09 .11 .5
 fdfilter testin tmpfir testin
 fdfilter testin tmpfir testin
 fdfilter testin tmpfir testin
 wave testins shape=sin form=sf amp=amp/10 freq=.1 elem=size
 fcalc testin testin testins +
endif
reformat testin testoutm "SB"

timer set
iceqtfd/core=c testoutm testoutc dec freq gain
iceqtfd/core=v testoutm testoutv dec freq gain
timer elapse

set offt nfft/dec/2

spectra testoutm testpsdm nfft
spectra testoutc(128:) testpsdc offt
spectra testoutv(128:) testpsdv offt
plot/db testpsdm|testpsdc|testpsdv

endmacro
