startmacro l:dec[2] d:freq[0.125] l:gain[0] 

res size 64k
res nfft 4k

info "Creating test input file"
if /sin then
 wave testin shape=sin form=sf amp=30e3 freq=.025 elem=size
elseif /saw then
 wave testin shape=saw form=sf amp=30e3 freq=.01255 elem=size
else
 wave testin shape=lrs form=sf amp=24e3 elem=size
 firwind tmpfir STOPBAND BH92 1k .11 .14 .5
 fdfilter testin tmpfir testin
 fdfilter testin tmpfir testin
 fdfilter testin tmpfir testin
 wave testins shape=sin form=sf amp=1e3 freq=.125 elem=size
 fcalc testin testin testins +
endif
reformat testin testoutm "SI"

timer set
icetfdd/core=v testoutm testoutv dec freq gain
timer elapse

if file(testoutv).form eqss "C" then
  set offt nfft/dec/2
else
  set offt nfft/dec
endif

spectra testoutm testpsdm nfft
spectra testoutv(128:) testpsdv offt
plot/db testpsdm|testpsdv

endmacro
