/* 
 * Description:  C include of blue header
 *
 * $Revision:   1.6  $
 * $Modtime:   01 May 1996 16:06:34  $
 *
 */

#ifndef _ICEHDR_H

#define L_outlets 8
#define L_keywords 92

typedef struct {
  char            version[4];
  char            head_rep[4];
  char            data_rep[4];
  int_4           detached, protected_, pipe_;
  int_4           ext_start, ext_size;
  real_8          data_start, data_size;
  int_4           type;
  char            format[2];
  int_2           flagmask;
  real_8          timecode;
  int_2           inlet, outlets;
  int_4           outmask, pipeloc, pipesize;
  real_8          in_byte, out_byte, outbytes[L_outlets];
  int_4           keylength;
  char            keywords[L_keywords];
  char            adjunct[256];
} ICEHDR;

#define _ICEHDR_H
#endif
