/****************************************************************************/
/*                                                                          */
/*   NULLPART methods and routines (defaults)                               */
/*                                                                          */
/****************************************************************************/

#include "part_nullpart.h"

/*--------------------------------------------------------------------------*/
uint32_t nullpart_pt_get(NULLPART_Reg_Obj *P, int32_t idreg, uint32_t keymask)
{
  printf("WARNING: NULLPART pt_get specified - provide proper method \n");
  return (0);
}


uint32_t nullpart_pt_gethw(PICSTRUCT *PS, int32_t port, NULLPART_Reg_Obj *P,
                            int32_t idreg, uint32_t keymask)
{
  printf("WARNING: NULLPART pt_gethw specified - provide proper method \n");
  return (0);
}


int32_t nullpart_pt_set(NULLPART_Reg_Obj *P, int32_t idreg, uint32_t keymask,
                          uint32_t keyval)
{
  printf("WARNING: NULLPART pt_set specified - provide proper method \n");
  return (0);
}


int32_t nullpart_pt_sethw(PICSTRUCT *PS, int32_t port, NULLPART_Reg_Obj *P,
                            int32_t idreg, uint32_t keymask, uint32_t keyval)
{
  printf("WARNING: NULLPART pt_sethw specified - provide proper method \n");
  return (0);
}


int32_t nullpart_pt_addr(NULLPART_Reg_Obj *P, uint32_t addr_key, uint32_t addr)
{
  printf("WARNING: NULLPART pt_addr specified - provide proper method \n");
  return (0);
}


int32_t nullpart_pt_init(NULLPART_Reg_Obj *P)
{
  printf("WARNING: NULLPART pt_init specified - provide proper method \n");
  return (0);
}


int32_t nullpart_pt_debug(NULLPART_Reg_Obj *P)
{
  printf("WARNING: NULLPART pt_debug specified - provide proper method \n");
  return (0);
}

