!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
! INSTALL - Installer macro for local installs
! @author Jeff Schoen
! @version $Id: demo.mm,v 1.35 2007/11/26 14:25:03 jgs Exp $
!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
startmacro/msgid=main/theme=browser

set jarpath   "^{env.nmroot}jars/"
set softpath  "/midas/opt/"
set datapath  "/midas/data/"
set userpath  "/midas/user/"

pipe init

panel/setup/controls=gc/wmsgid=main/logger 

list/id=opts 
list/id=users 
list/id=auxes 
list/id=hwf 
plot/id=help Sunset.jpg 

shellgui/id=term

gcontrol label  macro  "Installation" AlwaysOpen
gcontrol button state  "" "Update,CheckDep,Install,Abort" /nc=2
gcontrol label  sconf  "SoftWare Config" 
gcontrol prompt ipath  "JarPath"  jarpath
gcontrol prompt spath  "SoftPath" softpath
gcontrol prompt dpath  "DataPath" datapath
gcontrol prompt upath  "UserPath" userpath
gcontrol prompt nmmgr  "Manager"  "xmmgr"
gcontrol label  hconf  "HardWare Config" 
gcontrol prompt idisk  "ICE Disk" "/midas/opt/icedisk/"
gcontrol prompt istrt  "DISK Start" 2048
gcontrol prompt isize  "DISK Size" 1024
gcontrol prompt imap   "MAP  Size" 4
gcontrol label  xconf  "XBC Config" 

set this.timer(0) 5

pipe off

endmacro


procedure processMessage m:msg

if msg.fid eqs "PANEL"
  if msg.name eqs "STATE"
    if msg.data eqs "UPDATE" then
      call update
    elseif msg.data eqs "ABORT" then
      pipe stop
    else
    endif
  endif

elseif msg.name eqs "TIMER" then
!  info "Still waiting ..."

else
  say "Unhandled message ^msg.name from ^msg.fid"
endif
return

procedure update 
set aux.ijars gc.ipath.v
files * jar ijars /f=install-jars
sendto opts "OPENFILE" install-jars
return
