startmacro l:taps[63]

if /sin then
  wave testin shape=sin form=si amp=30e3 elem=128k freq=.05
else
  wave testin shape=lrs form=si amp=20e3 elem=128k
endif

if calc(taps,2,mod) eq 0 then
  firkais tmpfir LOW .05 0 0 .5 80 taps
else
  firwind tmpfir LOW BH92 taps+1 .1 0 .5 /sym 
endif
if /nonsym then
  ramp tmpram sf taps 0 2/taps
  fcalc/type=f tmpfir tmpfir tmpram *
endif
statistics tmpfir SUM=sum
calc/verbose gain sum

fdfilter testin tmpfir testoutm 

timer set
icefir/core=v testin tmpfir testoutv 
timer elapse

spectra testin   testpsd 8k
spectra testoutm testpsdm 8k
spectra testoutv testpsdv 8k

plot/db testpsd|testpsdm|testpsdv

if /td then
  plot testoutm|testoutv x1=0 x2=1000
endif

endmacro
