startmacro d:freq[.01]

if /sin then
 wave testin shape=sin form=si amp=15e3 elem=1m
else
 wave testin shape=lrs form=si amp=15e3 elem=1m
 firwind tmpfir STOPBAND BH92 1k .11 .14 .5
 fdfilter testin tmpfir testin
 fdfilter testin tmpfir testin
 fdfilter testin tmpfir testin
endif


reformat testin testoutm "CI"
thin testoutm testoutn 0 -0 2
wave testcx shape=sin form=ci amp=32767 freq=freq elem=file(testoutn).size
fcalc testouto testcx 1/32768 * testoutn *

icer2c/core=v testin testoutv freq

spectra testin   testpsd  8k
spectra testoutm testpsdm 8k
spectra testouto testpsdo 4k
spectra testoutv testpsdv 4k

plot/db testpsdm|testpsdo|testpsdv

endmacro
