//************
//  Description: Global Includes for SOURCEPIC
//
//  Author:	Jeff Schoen 3/13
//
//  $Revision:	$
//  $Modtime:	$
//
//************
#define P_SYNCINIT -1
#define P_SYNCSTAT  0
#define P_SYNCSET   1
#define L_bbuf 32768
#define ARCH_OFF 0
#define ARCH_WAIT 1
#define ARCH_SNAP 2
#define ARCH_RT 3

class sourcepic {
public:
 sourcepic();
 void run();
 void ramsync(int_4 mode);
 void update(int_4 mode);
private:
  bool_4 noblock, host, autoss, info;
  int_4 i,j,n, ls,tl, ncycle, ired, idelta, flags, fmode;
  int_4 status, nblock, nstop, nnext, verbose;
  int_4 npass, nsync, nlost, mpp, ntogo, bps, autors;
  int_4 iskip, icopy, ibuf, nbuf, iper, ipkt, ssync, alg;
  int_4 mgo, msync, msyncid, isok, nget, ngot, npot, lbuf;
  int_4 idm, ids, idd, idr, idf, idg, idc, ida, idrat, idv;
  int_4 type, port, dir, bits, dmac, tgain, ape, spa, epb;
  int_4 packet, apacket, multi, renum, mnbytes, tcpp;
  int_4 mdmac[64], mport[64], args[8], nargs, statuslast;
  int_4 idlh, idlc;
  string synclab, lostlab, devlab, devstr, ntplab;
  string str, tmpstr, flgstr, tcmode;
  string tcslab, statlab, afpext, seqerr, seqfill, archname;
  real_8 dnext, tfreq, delta, rate, dbpe, mdbpe, dummy;
  real_8 time1, time2, tcoff, tctolr, lastout, outoff, size;
  real_8 tcwlast, tcflast, tcofflast, tcdelta, tcerr;
  real_8 dtime, dsamp, dtfreq, ratio, pkt_count, apkt_count;

  PICSTRUCT ps,*p;
  DMAMAP map,mapi;
  ICEPACKETSTRUCT pkt,apkt;
  CPHEADER HIN,HOUT,HPACK,HARCH,HAPACK,HWF;

  real_8 archtime,archdur;
  int_4  archmode,archid,archtl,archoff,archsf;
  int_1  *archbuf;
};
