! ----------------------------------------------------------------
!  Macro to build the ICE option tree
!
!  @author  Jeff Schoen
!  @version $Id: buildopt.mm,v 1.3 2003/12/16 20:47:43 jgs Exp $
! ----------------------------------------------------------------

startmacro u:option

if /nc isFalse then
  say "--> Building Java/C/Fortran Sources for ^option <--"
  if env.ostype eqs "UNIX" then ! create links for CORE library linking
    import ICEROOT iceroot
    set suffix "^{reg.shell.getLibrarySuffix}^{reg.shell.getLibraryExt}"
    os ln -sf ../lib/DevIce^suffix ^ICEROOT/core/libAll$ICE^suffix
  endif
  build/verbose all all ^option
  build/verbose all core ^option
endif

if /nh isfalse then
  say "--> Building Help for ^option <--"
  help/build ,, ^option 
  say "--> Building Local Help for ^option <--"
  help/build ,, ^option /local
  fname file1 docs/help ice_tree_index html ice
  fname file2 docs/help index html ice
  file copy/f file1 file2
endif

if /nj isFalse then
  say "--> Building WebStart Jars for ^option <--"
  sedit "-code/&|-drv/&|-xfer/&|-nxm/&|-dat/ice*.prm" ffilt gsub "&" "*" ! get around multiline comment parsing error
  generate/verbose/ffilt=ffilt jars ^option jars
endif

endmacro

